Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

openvrml::scope Member List
This is the complete list of members for openvrml::scope, including all inherited members.

add_type(const boost::shared_ptr< node_type > &type) | openvrml::scope |
find_node(const std::string &id) const | openvrml::scope |
find_type(const std::string &id) const | openvrml::scope |
first_type() const | openvrml::scope |
id() const | openvrml::scope |
named_node_map | openvrml::scope | `[private]`
node_type_list | openvrml::scope | `[private]`
parent() const | openvrml::scope |
path(const scope &s) | openvrml::scope | `[related]`
scope(const std::string &id, const boost::shared_ptr< scope > &parent=boost::shared_ptr< scope >()) | openvrml::scope | `[explicit]`